<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* module-form-install.twig */
class __TwigTemplate_33ecc638d682d93370ad3187010526728414e34ce24751159a598bfc4bdf6b47 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "module-form-install.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "module-form-install.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Install Module");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Install");
        echo ", \$(\"#moduleInstallForm\").submit()
";
    }

    // line 23
    public function block_callBack($context, array $blocks = [])
    {
        echo "installModuleComplete";
    }

    // line 25
    public function block_formHtml($context, array $blocks = [])
    {
        // line 26
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <h3>";
        // line 28
        echo twig_escape_filter($this->env, $this->getAttribute(($context["module"] ?? null), "title", []), "html", null, true);
        echo " <small>";
        echo twig_escape_filter($this->env, $this->getAttribute(($context["module"] ?? null), "author", []), "html", null, true);
        echo "</small></h3>
            <p>";
        // line 29
        echo twig_escape_filter($this->env, $this->getAttribute(($context["module"] ?? null), "description", []), "html", null, true);
        echo "</p>
        </div>
    </div>
    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"moduleInstallForm\" class=\"XiboForm form-horizontal\" method=\"post\" action=\"";
        // line 34
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.install", ["name" => $this->getAttribute(($context["module"] ?? null), "name", [])]), "html", null, true);
        echo "\">
                ";
        // line 35
        ob_start(function () { return ''; });
        echo __("Are you sure you want to install this module?");
        $context["message"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                ";
        echo $context["forms"]->getmessage(($context["message"] ?? null));
        echo "
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "module-form-install.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  108 => 36,  104 => 35,  100 => 34,  92 => 29,  86 => 28,  82 => 26,  79 => 25,  73 => 23,  67 => 20,  63 => 19,  56 => 18,  53 => 17,  48 => 14,  45 => 13,  40 => 10,  38 => 11,  32 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "module-form-install.twig", "/home/mgatv524/public_html/edurocha/views/module-form-install.twig");
    }
}
